<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
                "http://www.w3.org/TR/html4/strict.dtd">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<title>Servicio de subidas de recursos Excel</title>

<style type="text/css">
@import "dojo/resources/dojo.css";
@import "dijit/themes/soria/soria.css";
@import "zero/grid/DataGrid/DataGrid.css";
@import "dojox/grid/_grid/Grid.css";
@import "dojox/grid/_grid/soriaGrid.css";

body {
        background:#fff url("images/bg.gif") repeat-x top left;
        padding:2em 2em 2em 2em;
}

.viewport {
	height: 450px;
	width: 95%;
}

.error {
	color : red;
}

.ok {
	color: black;
}

.loading {
	background-image: url("zero/grid/DataGrid/images/loading.gif");
	background-repeat: no-repeat;
}
	
</style>

<script type="text/javascript" src="dojo/dojo.js"
	djConfig="isDebug: true, parseOnLoad: true"></script>
	
<script type="text/javascript" src="dojox/grid/_data/model.js"></script>
<script type="text/javascript" src="dojox/grid/Grid.js"></script>
<script type="text/javascript" src="zero/grid/DataGrid.js"></script>
<script type="text/javascript" src="zero/resource/DataStore.js"></script>	
	
<script type="text/javascript">
    dojo.require("dijit.layout.BorderContainer");
    dojo.require("dijit.layout.ContentPane");
    dojo.require("dijit.TitlePane");
    dojo.require("dijit.form.Form");
    dojo.require("dijit.form.TextBox");
    dojo.require("dijit.form.CheckBox");
    dojo.require("dijit.form.Button");
    dojo.require("dojo.io.iframe");
    dojo.require("zero.resource.DataStore");
    dojo.require("zero.grid.DataGrid");

</script>
<script type="text/javascript" >
function submit() {
				var messagesDiv = dijit.byId("messages");
				var imgRef = document.createElement("img");
				imgRef.src = "zero/grid/DataGrid/images/loading.gif";
				messagesDiv.setContent(imgRef);

				dojo.io.iframe.send({
					url:		"/excelservice",
            		contentType: "multipart/form-data",
            		form:     dojo.byId("myForm"),
					handleAs: "json",
            		handle:     function (data, ioArgs) {
						if (!(data instanceof Error)) {
							var msgNode = document.createElement("span");
							msgNode.innerHTML = data.message;
							console.debug(msgNode);
							if (data.status == 200) {
								if (dijit.byId("mygrid")) {
									// if a grid widget already exists, destroy and recreate an empty div 
									dijit.byId("mygrid").destroy();
									var divNode = document.createElement("div");
									divNode.id = "mygrid";
									dojo.byId("containerNode").appendChild(divNode);
								}
								var resourceName = dijit.byId("myForm").getValues().resname;
								if (resourceName != "") {
									var g = new zero.grid.DataGrid({resourceCollection:resourceName, rowsPerPage:10}, dojo.byId("mygrid"));
									dojo.addClass(g.domNode, "viewport");
									var newTitleNode = document.createTextNode(resourceName);
									var titleContainer = dojo.byId("titleText");
									titleContainer.replaceChild(newTitleNode, titleContainer.firstChild);
								}
								msgNode.className = "ok";
							} else {
								msgNode.className = "error";
							}
							messagesDiv.setContent(msgNode);

						} else {
							console.debug("Upload failed" + data);
						}
					}
            	});
      			return false;
      }
   			</script> 	

</head>

<body class="soria">

<div dojoType="dijit.layout.BorderContainer" design="sidebar"
        style="border: 1px solid #bfbfbf; float: left; width: 100%; height: 600px; ">
    <div dojoType="dijit.layout.ContentPane" region="leading" style="width:33%">
    	<div dojoType="dijit.layout.BorderContainer">
			<div dojoType="dijit.layout.ContentPane" region="top" style="height:70%;" >
			<form dojoType="dijit.form.Form" id="myForm" name="myform1"
			encType="multipart/form-data" action="" method="POST" onSubmit="submit();">
			
   			
   			<table>
   				<tbody>
   					<tr>
   						<td>Subir archivo Excel:</td>
   					</tr>
   					<tr>
   						<td><input dojoType="dijit.form.TextBox" name="filename" type="file" tabIndex="0"></td>
   					</tr>
   					<tr>
   						<td>
   							<label for="resname">Nombre de recurso: </label>
   							<input type="text" id="resname" dojoType="dijit.form.TextBox" name="resname">
   							</input>
   						</td>
   						
 					</tr>
 				</tbody>
 			</table>
 			<br></br>
 					
 			<div dojoType="dijit.TitlePane" title="Avanzado" open="false" style="border: dotted 1px black; width:95%">
 				<table>
 					<tbody>
 						<tr><td>
 							<label for="overwrite">Sobrescribir recurso existente</label>
 							<input type="checkbox" id="overwrite" dojoType="dijit.form.CheckBox" name="overwrite" value="yes" checked="checked">
 							</input>

 						</td></tr>
	 					<tr>
 							<td>
 								<label for="sheetname">Nombre de hoja de trabajo: </label>
   								<input type="text" id="sheetname" dojoType="dijit.form.TextBox" name="sheetname"></input>
 							</td>	
 						</tr>
	 					<tr>
 							<td width="50%">
 								<label for="startrow">Comenzar en la fila: </label>
   								<input type="text" id="startrow" dojoType="dijit.form.TextBox" style="width:20px" name="startrow"></input>
 							</td>	
 							<td>
 								<label for="endrow">Finalizar en la fila: </label>
   								<input type="text" id="endrow" dojoType="dijit.form.TextBox" style="width:20px" name="endrow"></input>
 							</td>	
 						</tr>
 					</tbody>
 				</table>
 			</div>
 			<br></br>
 			<button dojoType=dijit.form.Button type="submit">Crear recurso</button>
			</form>
			</div>
			<div dojoType="dijit.TitlePane" title="Mensajes del servicio" region="center" id="messages" style="width:95%; height:25%; border: 1px solid black">

			</div>
		</div>
	</div>		
	
	<div dojoType="dijit.layout.ContentPane" id="containerNode" region="center" style="border:1px solid black; width:67%; ">
    	<div dojoType="dijit.layout.ContentPane" id="titleNode">
    		<h2 id="titleText" style="text-align:center">Recurso</h2>
    	</div>
		<div id="mygrid"></div>
	</div>
</div>


</body>
</html>
